gambas3-3.9.2-1pclos2017.x86_64.rpm


Advertisement

Description

gambas3 - Complete IDE based on a BASIC interpreter with object extensions

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package name gambas3
Package version 3.9.2
Package release 1pclos2017
Package architecture x86_64
Package type rpm
Installed size 22.38 MB
Download size 22.38 MB
Official Mirror ftp.nluug.nl
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on...

Alternatives

Package Version Architecture Repository
gambas3 - - -

Requires

Name Value
coreutils -
libGL.so.1()(64bit) -
libGLEW.so.1.11()(64bit) -
libGLU.so.1()(64bit) -
libICE.so.6()(64bit) -
libImlib2.so.1()(64bit) -
libQt3Support.so.4()(64bit) -
libQt5Core.so.5()(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Network.so.5()(64bit) -
libQt5PrintSupport.so.5()(64bit) -
libQt5Svg.so.5()(64bit) -
libQt5WebKit.so.5()(64bit) -
libQt5WebKitWidgets.so.5()(64bit) -
libQt5Widgets.so.5()(64bit) -
libQt5X11Extras.so.5()(64bit) -
libQtCore.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtOpenGL.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libQtWebKit.so.4()(64bit) -
libSDL-1.2.so.0()(64bit) -
libSDL2-2.0.so.0()(64bit) -
libSDL2_image-2.0.so.0()(64bit) -
libSDL2_mixer-2.0.so.0()(64bit) -
libSDL2_ttf-2.0.so.0()(64bit) -
libSDL_mixer-1.2.so.0()(64bit) -
libSDL_ttf-2.0.so.0()(64bit) -
libSM.so.6()(64bit) -
libX11.so.6()(64bit) -
libXcursor.so.1()(64bit) -
libXtst.so.6()(64bit) -
libalure.so.1()(64bit) -
libbz2.so.1()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libcairo.so.2()(64bit) -
libcrypt.so.1()(64bit) -
libcrypt.so.1(GLIBC_2.2.5)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libcurl.so.4()(64bit) -
libdbus-1.so.3()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libffi.so.6()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgdk-3.so.0()(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgdkglext-x11-1.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmime-2.6.so.0()(64bit) -
libgmp.so.10()(64bit) -
libgnome-keyring.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgsl.so.19()(64bit) -
libgslcblas.so.0()(64bit) -
libgstbase-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libgstvideo-1.0.so.0()(64bit) -
libgtk-3.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libgtkglext-x11-1.0.so.0()(64bit) -
libjpeg.so.8()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libmysqlclient.so.18()(64bit) -
libncurses.so.5()(64bit) -
libodbc.so.2()(64bit) -
libopenal.so.1()(64bit) -
libpanel.so.5()(64bit) -
libpango-1.0.so.0()(64bit) -
libpangocairo-1.0.so.0()(64bit) -
libpcre.so.1()(64bit) -
libpng12.so.0()(64bit) -
libpoppler.so.54()(64bit) -
libpq.so.5()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librsvg-2.so.2()(64bit) -
libsqlite.so.0()(64bit) -
libsqlite3.so.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libv4lconvert.so.0()(64bit) -
libxml2.so.2()(64bit) -
libxslt.so.1()(64bit) -
libz.so.1()(64bit) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH) -

Provides

Name Value
gambas2 -
gambas3 = 3.9.2-1pclos2017
gambas3(x86-64) = 3.9.2-1pclos2017
gb.cairo.so.0()(64bit) -
gb.clipper.so.0()(64bit) -
gb.complex.so.0()(64bit) -
gb.compress.bzlib2.so.0()(64bit) -
gb.compress.so.0()(64bit) -
gb.compress.zlib.so.0()(64bit) -
gb.crypt.so.0()(64bit) -
gb.data.so.0()(64bit) -
gb.db.mysql.so.0()(64bit) -
gb.db.odbc.so.0()(64bit) -
gb.db.postgresql.so.0()(64bit) -
gb.db.so.0()(64bit) -
gb.db.sqlite2.so.0()(64bit) -
gb.db.sqlite3.so.0()(64bit) -
gb.dbus.so.0()(64bit) -
gb.debug.so.0()(64bit) -
gb.desktop.gnome.keyring.so.0()(64bit) -
gb.desktop.x11.so.0()(64bit) -
gb.draw.so.0()(64bit) -
gb.eval.so.0()(64bit) -
gb.geom.so.0()(64bit) -
gb.gmp.so.0()(64bit) -
gb.gsl.so.0()(64bit) -
gb.gtk.opengl.so.0()(64bit) -
gb.gtk.so.0()(64bit) -
gb.gtk3.so.0()(64bit) -
gb.gui.opengl.so.0()(64bit) -
gb.gui.qt.so.0()(64bit) -
gb.gui.qt.webkit.so.0()(64bit) -
gb.gui.so.0()(64bit) -
gb.gui.trayicon.so.0()(64bit) -
gb.httpd.so.0()(64bit) -
gb.image.effect.so.0()(64bit) -
gb.image.imlib.so.0()(64bit) -
gb.image.io.so.0()(64bit) -
gb.image.so.0()(64bit) -
gb.inotify.so.0()(64bit) -
gb.libxml.so.0()(64bit) -
gb.media.so.0()(64bit) -
gb.mime.so.0()(64bit) -
gb.ncurses.so.0()(64bit) -
gb.net.curl.so.0()(64bit) -
gb.net.so.0()(64bit) -
gb.openal.so.0()(64bit) -
gb.opengl.glsl.so.0()(64bit) -
gb.opengl.glu.so.0()(64bit) -
gb.opengl.sge.so.0()(64bit) -
gb.opengl.so.0()(64bit) -
gb.openssl.so.0()(64bit) -
gb.option.so.0()(64bit) -
gb.pcre.so.0()(64bit) -
gb.pdf.so.0()(64bit) -
gb.qt4.ext.so.0()(64bit) -
gb.qt4.opengl.so.0()(64bit) -
gb.qt4.so.0()(64bit) -
gb.qt4.webkit.so.0()(64bit) -
gb.qt5.ext.so.0()(64bit) -
gb.qt5.opengl.so.0()(64bit) -
gb.qt5.so.0()(64bit) -
gb.qt5.webkit.so.0()(64bit) -
gb.sdl.so.0()(64bit) -
gb.sdl.sound.so.0()(64bit) -
gb.sdl2.audio.so.0()(64bit) -
gb.sdl2.so.0()(64bit) -
gb.signal.so.0()(64bit) -
gb.v4l.so.0()(64bit) -
gb.vb.so.0()(64bit) -
gb.xml.html.so.0()(64bit) -
gb.xml.so.0()(64bit) -
gb.xml.xslt.so.0()(64bit) -

Obsoletes

Name Value
gambas2 -
gambas3 < 3.9.2

Download

Type URL
Binary Package gambas3-3.9.2-1pclos2017.x86_64.rpm
Source Package gambas3-3.9.2-1pclos2017.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
    
  2. Update the package index:
    # apt-get update
  3. Install gambas3 rpm package:
    # apt-get install gambas3

See Also

Package Description
gamin-0.1.10-4pclos2013.x86_64.rpm Library providing the FAM File Alteration Monitor API
gammu-1.35.0-1pclos2015.x86_64.rpm Mobile phones tools for Unix (Linux) and Win32
garmin-plugin-0.3.21-1pclos2013.x86_64.rpm Garmin Communicator Plugin port for Linux
garmindev-0.3.4-1pclos2013.x86_64.rpm Drivers for communication with Garmin GPS devices
garmintools-0.10-1pclos2013.x86_64.rpm Communication tools for Garmin devices
garmintools-devel-0.10-1pclos2013.x86_64.rpm Development and documentation files for garmintools
gartoon-redux-icon-theme-1.11-2pclos2013.noarch.rpm Gartoon Redux Gnome Icon Theme
gaupol-0.28.2-1pclos2015.noarch.rpm Gaupol is an editor for text-based subtitle files
gawk-4.1.2-1pclos2015.x86_64.rpm The GNU version of the awk text processing utility
gawk-doc-4.1.2-1pclos2015.x86_64.rpm Documentation about the GNU version of the awk text processing utility
gbrainy-2.2.3-1pclos2014.x86_64.rpm A brain teaser game to have fun and to keep your brain trained
gcalctool-6.2.0-1pclos2011.x86_64.rpm GNOME desktop calculator
gcaliper-1.0.3-1pclos2014.x86_64.rpm Professional screen caliper and ruler with variable rotation
gcc-4.9.2-2pclos2015.x86_64.rpm GNU Compiler Collection
gcc-c++-4.9.2-2pclos2015.x86_64.rpm C++ support for gcc
Advertisement
Advertisement